安装MongoDB出现问题

问题描述

本来打算更新mongoDB的数据库,然后发现mongoDB不再是开源了,以前brew install mongodb会报错,然后就去官网看了下现在的安装方法:

brew tap mongodb/brew
brew install mongodb-community@4.2

安装的时候就出问题了,有报错,让我安装GCC;安装GCC时继续报错,让我安装xcode-select。由于我不太清楚发生了什么,网上也没有搜到类似的问题,我就没有继续安装了。

问题出现的平台版本及自己尝试过哪些方法

MacOS 当前的版本号是10.15
希望安装的mongoDB的版本号是mongodb-community@4.2

相关代码

执行 brew install mongodb-community@4.2

Error: An exception occurred within a child process:
  CompilerSelectionError: mongodb/brew/mongodb-community cannot be built with any available compilers.
Install GNU's GCC:
  brew install gcc

执行 brew install gcc

Error: The following formula
  gcc
cannot be installed as binary package and must be built from source.
Install the Command Line Tools:
  xcode-select --install

执行 xcode-select --install

xcode-select: note: install requested for command line developer tools

你期待的结果是什么?实际看到的错误信息又是什么?

我目前就是希望能安装上mongoDB,报错都贴出来了。

阅读 324
评论 更新于 1月10日
    1 个回答

    问题暂时解决了。不知道出于什么原因,需要安装xcode-select,执行xcode-select --install之后弹出对话框需要安装软件,安装之后,直接执行brew install mongodb-community@4.2就可以了,如果有大佬知道原因也可以留答案,谢谢!

    评论 赞赏 1月10日
      MongoDB 技术问答
      合作问答

      MongoDB 官方中文社区 和 SegmentFault 联合推出的 MongoDB 技术交流平台。 这是一个以社区力量为主,但...